| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_HID_Host_t Struct Reference
HID Class Host Mode Driver

HID Class Host Mode Configuration and State Structure. More...

`#include <HIDClassHost.h>`

## Data Fields
struct {
USB_Pipe_Table_t DataINPipe
USB_Pipe_Table_t DataOUTPipe
uint8_t HIDInterfaceProtocol
HID_ReportInfo_t * HIDParserData
} | Config
struct {
bool DeviceUsesOUTPipe
uint16_t HIDReportSize
uint8_t InterfaceNumber
bool IsActive
uint8_t LargestReportSize
bool SupportsBootProtocol
bool UsingBootProtocol
} | State

## Detailed Description

Class state structure. An instance of this structure should be made within the user application, and passed to each of the HID class driver functions as the `HIDInterfaceInfo` parameter. This stores each HID interface's configuration and state information.

## Field Documentation

struct { ... } USB_ClassInfo_HID_Host_t::Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

USB_Pipe_Table_t USB_ClassInfo_HID_Host_t::DataINPipe

Data IN Pipe configuration table.

USB_Pipe_Table_t USB_ClassInfo_HID_Host_t::DataOUTPipe

Data OUT Pipe configuration table.

bool USB_ClassInfo_HID_Host_t::DeviceUsesOUTPipe

Indicates if the current interface instance uses a separate OUT data pipe for OUT reports, or if OUT reports are sent via the control pipe instead.

uint8_t USB_ClassInfo_HID_Host_t::HIDInterfaceProtocol

HID interface protocol value to match against if a specific boot subclass protocol is required, a protocol value from the HID_Descriptor_ClassSubclassProtocol_t enum.

HID_ReportInfo_t* USB_ClassInfo_HID_Host_t::HIDParserData

HID parser data to store the parsed HID report data, when boot protocol is not used.

Note
  When the `HID_HOST_BOOT_PROTOCOL_ONLY` compile time token is defined, this field is unavailable.

uint16_t USB_ClassInfo_HID_Host_t::HIDReportSize

Size in bytes of the HID report descriptor in the device.

uint8_t USB_ClassInfo_HID_Host_t::InterfaceNumber

Interface index of the HID interface within the attached device.

bool USB_ClassInfo_HID_Host_t::IsActive

Indicates if the current interface instance is connected to an attached device, valid after HID_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

uint8_t USB_ClassInfo_HID_Host_t::LargestReportSize

Largest report the device will send, in bytes.

struct { ... } USB_ClassInfo_HID_Host_t::State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

bool USB_ClassInfo_HID_Host_t::SupportsBootProtocol

Indicates if the current interface instance supports the HID Boot Protocol when enabled via HID_Host_SetBootProtocol().

bool USB_ClassInfo_HID_Host_t::UsingBootProtocol

Indicates that the interface is currently initialized in Boot Protocol mode

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Host/HIDClassHost.h